/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class UpdatePositionResponse {
    public subConId: string;

    public subConName: string;

    public zoneId: string;

    public zoneName: string;

    public workerId: string;

    public workerName: string;

    public tag: string;

    public x: number;

    public y: number;

    public timeStamp: string;

    /**
     * Creates a UpdatePositionResponse.
     *
     * @param {string} subConId
     * @param {string} subConName
     * @param {string} zoneId
     * @param {string} zoneName
     * @param {string} workerId
     * @param {string} workerName
     * @param {string} tag
     * @param {number} x
     * @param {number} y
     * @param {string} timeStamp
     */
    constructor(subConId: string, subConName: string, zoneId: string, zoneName: string, workerId: string, workerName: string, tag: string, x: number, y: number, timeStamp: string) {
        this.subConId = subConId;
        this.subConName = subConName;
        this.zoneId = zoneId;
        this.zoneName = zoneName;
        this.workerId = workerId;
        this.workerName = workerName;
        this.tag = tag;
        this.x = x;
        this.y = y;
        this.timeStamp = timeStamp;
    }
}
